Page MenuHomePhabricator

Diff Compare - implement intermediate counts endpoint when ready
Closed, ResolvedPublic

Description

Intermediate counts have been hardcoded for user testing. We need to implement it with live data when the endpoint is ready.

Event Timeline

Tsevener created this task.Nov 13 2019, 3:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 13 2019, 3:05 PM
JMinor triaged this task as Medium priority.Nov 13 2019, 6:11 PM

Per Evan these endpoints should work:

Editor count:
https://en.wikipedia.org/w/rest.php/v1/page/Dog/history/counts/editors?from=918180393&to=925652284

Edit count:
https://en.wikipedia.org/w/rest.php/v1/page/Dog/history/counts/edits?from=918180393&to=925652284

It does look like it has limits so maybe we'll want to display something like "1000+ edits by 1000+ editors not shown" if the limit is reached?

@JMinor @cmadeo

@Tsevener yeah, I think as long as the cap is higher than most articles, this should work (eg. 500 just felt much too low)
And I would say that ideally, having the exact number for number of edits is probably slightly more necessary than raw number of editors.

Aklapper removed NHarateh_WMF as the assignee of this task.Nov 25 2019, 12:32 AM
Aklapper added a subscriber: NHarateh_WMF.

Resetting task assignee as the account @NHarateh_WMF is not active anymore.

ABorbaWMF added a subscriber: ABorbaWMF.

Looks live to me on 6.5.0 (1699)

JMinor closed this task as Resolved.Dec 2 2019, 6:49 PM
JMinor claimed this task.